- almost works
authorPatryk Zawadzki <patrys@room-303.com>
Wed, 27 Aug 2008 21:35:19 +0000 (21:35 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    anaconda-installclass-pld.py -> 1.6
    anaconda.spec -> 1.85

anaconda-installclass-pld.py
anaconda.spec

index 5760f6f..d63f1cd 100644 (file)
@@ -1,7 +1,6 @@
 from installclass import BaseInstallClass
-import rhpl
-from rhpl.translate import N_
 from constants import *
+from filer import *
 from flags import flags
 import os
 import iutil
@@ -12,6 +11,9 @@ try:
 except ImportError:
     instnum = None
 
+import gettext
+_ = lambda x: gettext.ldgettext("anaconda", x)
+
 import logging
 log = logging.getLogger("anaconda")
 
@@ -21,15 +23,16 @@ class InstallClass(BaseInstallClass):
     id = "pld"
     name = N_("PLD Linux")
     pixmap = "custom.png"
-    _description = N_("Select this installation type to gain complete "
-                    "control over the installation process, including "
-                    "software package selection and partitioning.")
+    _description = N_("The default installation of %s includes a set of "
+                     "software applicable for general internet usage. "
+                     "What additional tasks would you like your system "
+                     "to include support for?")
     _descriptionFields = (productName,)
     sortPriority = 10000
     allowExtraRepos = True
 
     repopaths = { "base": ["PLD/i686/RPMS", "PLD/noarch/RPMS"], }
-    tasks = [
+    taskMap = {'client': [
         (N_("GNOME Desktop"), [
             "gnome",
             "gnome_complete",
@@ -59,7 +62,7 @@ class InstallClass(BaseInstallClass):
         (N_("Java Development Tools"), [
             "java"
         ]),
-    ]
+    ]}
 
     def setInstallData(self, anaconda):
        BaseInstallClass.setInstallData(self, anaconda)
@@ -156,7 +159,7 @@ class InstallClass(BaseInstallClass):
 
         log.info("repopaths is %s" %(self.repopaths,))
 
-    def getBackend(self, methodstr):
+    def getBackend(self):
         return yuminstall.YumBackend
 
     def __init__(self, expert):
index 5cdc846..8bb75b3 100644 (file)
@@ -79,7 +79,6 @@ BuildRequires:        glib2-static
 BuildRequires: glibc-static
 BuildRequires: gtk+2-devel
 BuildRequires: isomd5sum-devel
-BuildRequires: kudzu-devel >= 1.2.68
 BuildRequires: libdhcp-devel
 BuildRequires: libdhcp-static
 BuildRequires: libdhcp4client-devel
@@ -103,23 +102,24 @@ Requires: bdevid
 Requires:      device-mapper >= 1.01.05
 Requires:      dosfstools
 Requires:      e2fsprogs
-Requires:      glibc-localedb-all
+#Requires:     glibc-localedb-all
 Requires:      grubby
 Requires:      hal
 Requires:      hfsutils
 Requires:      jfsutils
-Requires:      kudzu >= 1.2.34.3-1.1
 Requires:      lvm2
 Requires:      mdadm
 Requires:      python-bdevid >= 6.0.24
 Requires:      python-booty >= 0.93
+Requires:      python-cracklib
 Requires:      python-dbus
 Requires:      python-devel-tools
+Requires:      python-iniparse
 Requires:      python-kickstart >= 1.42
 Requires:      python-libuser
 Requires:      python-libxml2
 Requires:      python-parted >= 1.8.9
-Requires:      python-rhpl >= 0.212
+Requires:      python-rhpl >= 0.216
 Requires:      python-rpm >= 4.2-0.61
 Requires:      python-selinux
 Requires:      python-snack
This page took 0.145795 seconds and 4 git commands to generate.